• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!

Error on vcpkg with gmp

chucky91

Active Member
Joined
Apr 8, 2010
Messages
81
Reaction score
47
As the staff compiles Nostalrius 7.72 with the copy of cipsoft files, and you have to have more libs by vcpkg, because it does not come together in the instruction.
To install gmp, you must first install: cgal, yasm, yasm-tool, yasm-tool-helper.
But that fails with all of them. it is impossible to install on vcpkg.
because it gives errors of algorithms when compiling and lack of the gmp that it is not possible to install by the command in vcpkg

otland/forgottenserver (https://github.com/otland/forgottenserver/wiki/Compiling-on-Windows-%28vcpkg%29)

Just because of gmp it doesn't compile, you can't install it, either first x86 or x64.
 

Evil Puncker

prolonged absenteeism
TFS Developer
Joined
May 30, 2009
Messages
8,041
Solutions
215
Reaction score
3,881
./vcpkg install gmp[core]:x64-windows
./vcpkg install gmp:x64-windows
./vcpkg install gmp-dev:x64-windows

none of these works? give us screenshot of the error message of executing the above commands
 
OP
OP
chucky91

chucky91

Active Member
Joined
Apr 8, 2010
Messages
81
Reaction score
47
$ ./vcpkg install gmp[core]:x64-windows
Computing installation plan...
The following packages will be built and installed:
gmp[core]:x64-windows -> 6.2.1#5
* vs-yasm[core]:x64-windows -> 0.5.0#1
* yasm-tool[core]:x64-windows -> 2020-10-12
* yasm-tool-helper[core]:x64-windows -> 2020-10-12
Additional packages (*) will be modified to complete this operation.
Detecting compiler hash for triplet x64-windows...
Using cached binary package: C:\Users\User\AppData\Local\vcpkg\archives\1f\1fd214f7f5d464dff17e2ee0b77fd78965dfb51f.zip
Could not locate cached archive: C:\Users\User\AppData\Local\vcpkg\archives\a2\a2017ffc7a2f00e786aa99a74f726a2ffadb9aa5.zip
Could not locate cached archive: C:\Users\User\AppData\Local\vcpkg\archives\35\35454de049431db1844613e14cc2d6b1eaa9ba37.zip
Could not locate cached archive: C:\Users\User\AppData\Local\vcpkg\archives\5f\5fa31b6d2eb71dc35c767d7ae0abc153df5c98dd.zip
Starting package 1/4: vs-yasm:x64-windows
Building package vs-yasm[core]:x64-windows...
Building package vs-yasm[core]:x64-windows... done
Installing package vs-yasm[core]:x64-windows...
Installing package vs-yasm[core]:x64-windows... done
Elapsed time for package vs-yasm:x64-windows: 133.3 ms
Starting package 2/4: yasm-tool:x64-windows
Building package yasm-tool[core]:x64-windows...
CMake Error at scripts/cmake/vcpkg_fail_port_install.cmake:97 (message):
The yasm-tool port is only intended to be built for x86 Windows

Architecture 'x64' not supported by yasm-tool!

Call Stack (most recent call first):
ports/yasm-tool/portfile.cmake:1 (vcpkg_fail_port_install)
scripts/ports.cmake:142 (include)


Error: Building package yasm-tool:x64-windows failed with: BUILD_FAILED
Please ensure you're using the latest portfiles with .\vcpkg update, then
submit an issue at microsoft/vcpkg (https://github.com/Microsoft/vcpkg/issues) including:
Package: yasm-tool:x64-windows
Vcpkg version: 2021-01-13-d67989bce1043b98092ac45996a8230a059a2d7e

Additionally, attach any relevant sections from the log files above.

[email protected] MINGW64 /c/src/win64/vcpkg (master)
$ ./vcpkg install gmp:x64-windows
Computing installation plan...
The following packages will be built and installed:
gmp[core]:x64-windows -> 6.2.1#5
* yasm-tool[core]:x64-windows -> 2020-10-12
* yasm-tool-helper[core]:x64-windows -> 2020-10-12
Additional packages (*) will be modified to complete this operation.
Detecting compiler hash for triplet x64-windows...
Could not locate cached archive: C:\Users\User\AppData\Local\vcpkg\archives\a2\a2017ffc7a2f00e786aa99a74f726a2ffadb9aa5.zip
Could not locate cached archive: C:\Users\User\AppData\Local\vcpkg\archives\35\35454de049431db1844613e14cc2d6b1eaa9ba37.zip
Could not locate cached archive: C:\Users\User\AppData\Local\vcpkg\archives\5f\5fa31b6d2eb71dc35c767d7ae0abc153df5c98dd.zip
Starting package 1/3: yasm-tool:x64-windows
Building package yasm-tool[core]:x64-windows...
CMake Error at scripts/cmake/vcpkg_fail_port_install.cmake:97 (message):
The yasm-tool port is only intended to be built for x86 Windows

Architecture 'x64' not supported by yasm-tool!

Call Stack (most recent call first):
ports/yasm-tool/portfile.cmake:1 (vcpkg_fail_port_install)
scripts/ports.cmake:142 (include)


Error: Building package yasm-tool:x64-windows failed with: BUILD_FAILED
Please ensure you're using the latest portfiles with .\vcpkg update, then
submit an issue at microsoft/vcpkg (https://github.com/Microsoft/vcpkg/issues) including:
Package: yasm-tool:x64-windows
Vcpkg version: 2021-01-13-d67989bce1043b98092ac45996a8230a059a2d7e

Additionally, attach any relevant sections from the log files above.
none of these works? give us screenshot of the error message of executing the above commands
 
OP
OP
chucky91

chucky91

Active Member
Joined
Apr 8, 2010
Messages
81
Reaction score
47
mine gives error when compiling. algorithm error, and says you need the gmp library. I tried to install mpir also it didn't work.
 
OP
OP
chucky91

chucky91

Active Member
Joined
Apr 8, 2010
Messages
81
Reaction score
47
How to install outside vcpkg? because in vcpkg there is an error with yasm. before gmp. and for everything. because gmp pulls yasm.
 
OP
OP
chucky91

chucky91

Active Member
Joined
Apr 8, 2010
Messages
81
Reaction score
47
I managed to get gmb-lib from tfssdk3.2. including manually and together with vcpkg. but this is giving error as before, i thought it was missing from the gmp. '<=' '<' 'ret' is any library missing?
1620765919991.png
Post automatically merged:

already tried this gives the same error. i put x86 and the machine installs x64
 

Pox

Intermediate OT User
Joined
Apr 28, 2020
Messages
154
Solutions
9
Reaction score
143
Those errors are not related to missing libs.

combat, trying to check int <= uint and in condition you set variable ret but never use it.

These are not errors, they are warnings, should be fixed but if you know what the code is it could be 100% np
 
Top